<script setup lang="ts">
import { Switch as ShadcnSwitch } from '@/components/core/switch';
import { type UiSwitchProps } from './types';

defineOptions({
  name: 'UiSwitch',
});

const props = withDefaults(defineProps<UiSwitchProps>(), {
  disabled: false,
  required: false,
});

const model = defineModel<boolean>({
  default: false,
});
</script>

<template>
  <ShadcnSwitch v-model="model" v-bind="props" />
</template>
